$list-margin: 0 !default;
$list-padding: rhythm(.5) !default;
$list-border: (
  side: 'top',
  width: 1px,
  style: dashed,
  color: color('black', alpha, 80)
) !default;

$list-background: (
  color: transparent
) !default;

$list-stripped-background: (
  color: color('black', alpha, 10),
) !default;

$list-item-hover-color: map-get($text-colors, hover) !default;
$list-item-hover-background: color('black', alpha, 10) !default;

$list-header-height: rhythm(3) !default;
$list-header-title-font-size: $h4-font-size !default;
$list-header-title-font-weight: bold !default;
$list-header-hint-width: 170px !default;
$list-header-hint-margin: 0 0 0 auto !default;
$list-header-hint-align: center !default;
$list-header-hint-font-size: $h5-font-size !default;
$list-header-hint-font-weight: 300 !default;
$list-header-hint-color: map-get($text-colors, hover) !default;


.#{$namespace}-list {
  display: block;
  width: 100%;
  margin: 0;
  padding: 0;
  list-style: none;

  &__header {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: $list-header-height;
    font-weight: normal;
  }

  &__title {
    font-size: $h4-font-size;
    font-weight: $list-header-title-font-weight;
  }

  &__hint {
    width: $list-header-hint-width;
    margin: $list-header-hint-margin;
    text-align: $list-header-hint-align;
    font-size: $list-header-hint-font-size;
    font-weight: $list-header-hint-font-weight;
    color: $list-header-hint-color;
  }

  &__item {
    @include set-background($list-background);

    display: flex;
    align-items: center;
    justify-content: flex-start;
    position: relative;
    margin: $list-margin;
    padding: $list-padding;
    overflow: hidden;
    cursor: pointer;

    &:hover {
      @include set-background($list-item-hover-background);

      text-decoration: none;
      box-shadow: none;
    }

    & + & {
      @include set-border($list-border, $list-padding);
    }
  }

  &__empty {
    padding: $list-padding;
  }
}


.#{$namespace}-list--stripped {
  .#{$namespace}-list__item + .#{$namespace}-list__item {
    border: 0;
  }

  .#{$namespace}-list__item:nth-child(2n) {
    @include set-background($list-stripped-background);
  }
}
